# znpRfTestInterface.h File Reference

public methods for znpRfTestInterface.c More...

`#include "znp_commands.h"`

## Defines
#define | RF_TEST_UNMODULATED 0
#define | RF_TEST_MODULATED 1
#define | RF_TEST_RECEIVE 2
#define | RF_TEST_NONE 0xFF
#define | RF_OUTPUT_POWER_PLUS_4_5_DBM 0xF5
#define | RF_OUTPUT_POWER_PLUS_2_5_DBM 0xE5
#define | RF_OUTPUT_POWER_PLUS_1_0_DBM 0xD5
#define | RF_OUTPUT_POWER_MINUS_0_5_DBM 0xC5
#define | RF_OUTPUT_POWER_MINUS_1_5_DBM 0xB5
#define | RF_OUTPUT_POWER_MINUS_3_0_DBM 0xA5
#define | RF_OUTPUT_POWER_MINUS_10_0_DBM 0x65
#define | RF_TEST_CHANNEL_MIN 11
#define | RF_TEST_CHANNEL_MAX 26
## Functions
signed int | rfTest (unsigned char mode, unsigned char channel)

## Detailed Description

public methods for znpRfTestInterface.c

Rev
  547

Author
  dsmith

Date
  2010-05-27 17:11:30 -0700 (Thu, 27 May 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

signed int rfTest | ( | unsigned char | mode,
|  | unsigned char | channel |
| ) |  |  |

Configures the ZNP to output a test signal, modulated or unmodulated. The radio must be re-initialized after this method is used.

Note:
  this command does NOT respond with an SRSP.

Parameters:

  | mode | whether to output modulated or unmodulated signal. Must be RF_TEST_MODULATED or RF_TEST_UNMODULATED or RF_TEST_RECEIVE. Note: RF_TEST_RECEIVE does nothing.
  | channel | which 802.15.4 channel to output test signal on. Must be between 11 - 26.

Precondition:
  ZNP was initialized

Postcondition:
  ZNP is outputting the specified type of RF test signal on the specified channel

Returns:
  0 if success, -1 if invalid channel, -2 if invalid test mode, else error code from sendMessage()

All Data Structures Files Functions Variables Defines